org.keycloak.models.cache.infinispan.authorization.events

## Class PolicyUpdatedEvent.ExternalizerImpl

- java.lang.Object
- - org.keycloak.models.cache.infinispan.authorization.events.PolicyUpdatedEvent.ExternalizerImpl

- All Implemented Interfaces:
    Serializable, org.infinispan.commons.marshall.Externalizer<PolicyUpdatedEvent>
  Enclosing class:
    PolicyUpdatedEvent

      public static class PolicyUpdatedEvent.ExternalizerImpl
      extends Object
      implements org.infinispan.commons.marshall.Externalizer<PolicyUpdatedEvent>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalizerImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PolicyUpdatedEvent` | `readObject(ObjectInput input)`
    `PolicyUpdatedEvent` | `readObjectVersion1(ObjectInput input)`
    `void` | `writeObject(ObjectOutput output, PolicyUpdatedEvent obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalizerImpl

          public ExternalizerImpl()

  - ### Method Detail

    - #### writeObject

          public void writeObject(ObjectOutput output,
                                  PolicyUpdatedEvent obj)
                           throws IOException

      Specified by:
        `writeObject` in interface `org.infinispan.commons.marshall.Externalizer<PolicyUpdatedEvent>`
      Throws:
        `IOException`

    - #### readObject

          public PolicyUpdatedEvent readObject(ObjectInput input)
                                        throws IOException,
                                               ClassNotFoundException

      Specified by:
        `readObject` in interface `org.infinispan.commons.marshall.Externalizer<PolicyUpdatedEvent>`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### readObjectVersion1

          public PolicyUpdatedEvent readObjectVersion1(ObjectInput input)
                                                throws IOException,
                                                       ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

Copyright © 2020 JBoss by Red Hat. All rights reserved.